# Generated by Django 5.1 on 2024-08-13 19:30

import picklefield.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Task",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("queue", models.CharField(max_length=64)),
                ("func", models.CharField(max_length=256)),
                ("args", picklefield.fields.PickledObjectField(editable=False)),
                ("kwargs", picklefield.fields.PickledObjectField(editable=False)),
                ("repr", models.CharField(max_length=512)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("execute_at", models.DateTimeField(auto_now_add=True)),
                ("expires_at", models.DateTimeField(blank=True, null=True)),
                (
                    "alive_at",
                    models.DateTimeField(blank=True, editable=False, null=True),
                ),
                ("retries", models.PositiveIntegerField(default=0, editable=False)),
                ("traceback", models.TextField(blank=True, editable=False, null=True)),
                ("started", models.BooleanField(default=False, editable=False)),
                ("failed", models.BooleanField(default=False, editable=False)),
            ],
            options={
                "indexes": [
                    models.Index(
                        condition=models.Q(("failed", False), ("started", False)),
                        fields=["execute_at", "queue"],
                        name="taskq_execute_at_queue_idx",
                    )
                ],
            },
        ),
        migrations.CreateModel(
            name="ActiveTask",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("taskq.task",),
        ),
        migrations.CreateModel(
            name="DirtyTask",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("taskq.task",),
        ),
        migrations.CreateModel(
            name="FailedTask",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("taskq.task",),
        ),
        migrations.CreateModel(
            name="FutureTask",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("taskq.task",),
        ),
        migrations.CreateModel(
            name="PendingTask",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("taskq.task",),
        ),
    ]
